/**
 * Copyright 2019 DH
 * All right reserved.
 * 项目名称: 大恒泰山系统
 * 创建日期:2023/10/31
 */
package org.ts.ddcs.metadata.szy;

/*** 
 * Date:2023/10/31
 * Title:文件所属模块（必须填写）
 * Description：对本文件的详细描述，原则上不能少于30字
 * @author dylan
 * @version 1.0
 * Remark：认为有必要的其他信息
 */
public enum SzyStatusMetadataEnum {
    /**
     * 接收时间
     */
    METADATA_FROM_TIME(0, "from_time"),

    /**
     * 采集时间
     */
    METADATA_COLLECT_TIME(1, "tm"),

    /**
     * 上报时间
     */
    METADATA_UP_TIME(2, "up_time"),
    /**
     * 测站编码
     */
    METADATA_RTU_CODE(3, "rtu_code"),
    /**
     * 工作状态
     */
    METADATA_WORK_STATUS(4, "work_status"),

    /**
     * 终端IC卡功能是否有效
     */
    METADATA_IC_STATUS(5, "ic_status"),
    /**
     * 定值控制是否投入
     */
    METADATA_VALUE_STATUS(6, "value_status"),
    /**
     * 水泵工作状态
     */
    METADATA_WATER_PUMP_STATUS(7, "water_pump_status"),
    /**
     * 终端箱门状态报警
     */
    METADATA_DOOR_STATUS(8, "door_status"),
    /**
     * 电源工作状态
     */
    METADATA_POWER_STATUS(9, "power_status");

    private int code;

    private String name;

    SzyStatusMetadataEnum(int code, String name) {
        this.code = code;
        this.name = name;
    }

    public int getCode() {
        return code;
    }

    public void setCode(int code) {
        this.code = code;
    }

    public String getName() {
        return name;
    }

    public void setName(String name) {
        this.name = name;
    }

    /**
     * 根据CODE查名称
     *
     * @param code
     * @return
     */
    public static String getName(int code) {
        for (SzyStatusMetadataEnum point : SzyStatusMetadataEnum.values()) {
            if (point.code == code) {
                return point.name;
            }
        }
        return "";
    }

    /**
     * 根据名称查代码
     *
     * @param name
     * @return
     */
    public static int getCode(String name) {
        for (SzyStatusMetadataEnum point : SzyStatusMetadataEnum.values()) {
            if (point.name.equals(name)) {
                return point.code;
            }
        }
        return -1;
    }
}
